> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osint.ly/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Xbox suggestions



## OpenAPI

````yaml /tools-reference/openapi.json post /tools/xbox/suggestions
openapi: 3.1.0
info:
  title: Osintly Tools API
  version: 1.0.0
  description: >-
    OpenAPI specification for Osintly Epic Games, Vehicle History Finder, and
    Xbox tools and catalog endpoints.
  contact:
    name: Osintly
    url: https://docs.osint.ly/tools-reference/introduction
servers:
  - url: https://api.osint.ly
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Tools Catalog
    description: Discover available tools, metadata, and route costs.
  - name: Epic Games
    description: Direct Epic Games account validation and enrichment endpoints.
  - name: Vehicle History Finder
    description: >-
      Vehicle history enrichment endpoints for US VINs and French license
      plates.
  - name: Xbox
    description: Direct Xbox Live account validation and enrichment endpoints.
paths:
  /tools/xbox/suggestions:
    post:
      tags:
        - Xbox
      summary: Get Xbox suggestions
      operationId: runXboxSuggestions
      requestBody:
        $ref: '#/components/requestBodies/XboxRequest'
      responses:
        '200':
          $ref: '#/components/responses/GamingToolResponse'
        '400':
          $ref: '#/components/responses/ValidationError'
components:
  requestBodies:
    XboxRequest:
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/XboxRequest'
          example:
            value: SomeGamertag
            type: gamertag
  responses:
    GamingToolResponse:
      description: Tool response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GamingToolResponse'
          example:
            tool: epic-games
            operation: search
            query:
              value: some-player
              type: epic_display_name
            data: {}
            meta:
              timestamp: '2026-06-28T12:00:00.000Z'
    ValidationError:
      description: Invalid request body or parameters
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: VALIDATION_ERROR
              message: Invalid request body
              details:
                - path: value
                  message: Invalid value
            meta:
              timestamp: '2026-06-28T12:00:00.000Z'
  schemas:
    XboxRequest:
      type: object
      required:
        - value
        - type
      properties:
        value:
          type: string
          description: Xbox gamertag or XUID to enrich.
          examples:
            - SomeGamertag
            - '2533274792004364'
        type:
          type: string
          description: Canonical Xbox search type or accepted alias.
          enum:
            - gamertag
            - xuid
            - xbox
            - xbl
            - username
            - id
            - xbox_id
          example: gamertag
        save:
          type: boolean
          description: >-
            Only used on `/all`. When true, saves the synchronous result for
            later retrieval.
          default: false
      additionalProperties: false
    GamingToolResponse:
      type: object
      required:
        - data
        - meta
        - operation
        - query
        - tool
      properties:
        data:
          type: object
          additionalProperties: true
        meta:
          $ref: '#/components/schemas/ResponseMeta'
        operation:
          type: string
        query:
          type: object
          required:
            - value
            - type
          properties:
            value:
              type: string
            type:
              type: string
            normalizedType:
              type: string
          additionalProperties: true
        tool:
          type: string
          enum:
            - epic-games
            - vehicle-history-finder
            - xbox
      additionalProperties: false
    ErrorResponse:
      type: object
      required:
        - error
        - meta
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            details: {}
          additionalProperties: true
        meta:
          $ref: '#/components/schemas/ResponseMeta'
      additionalProperties: false
    ResponseMeta:
      type: object
      required:
        - timestamp
      properties:
        timestamp:
          type: string
          format: date-time
        savedResult:
          $ref: '#/components/schemas/SavedToolResult'
      additionalProperties: true
    SavedToolResult:
      type: object
      required:
        - id
        - url
      properties:
        id:
          type: string
          format: uuid
        url:
          type: string
          format: uri
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````